%define version 4.1.19.18
%define release %mkrel 1

Summary: PCLinuxOS Grub Enlightenment graphical boot theme
Name: enlightenment-gfxboot-theme
Version: %version
Release: %release
License: GPL 
Group: System/Configuration/Boot and Init
URL: http://pclinuxos.com
Source: enlightenment-gfxboot-theme-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires(pre): pclinuxos-gfxboot-theme
Requires(post): perl-Archive-Cpio

%description
This package provides the PCLinuxOS Enlightenment gfxboot theme. This theme is used by the
PCLinuxOS installation to initialized the CDROM boot, and by installed system
to boot.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/%_datadir/gfxboot/themes/enlightenment
install -m 0644 back.jpg $RPM_BUILD_ROOT/%_datadir/gfxboot/themes/enlightenment/back.jpg
install -m 0644 welcome.jpg $RPM_BUILD_ROOT/%_datadir/gfxboot/themes/enlightenment/welcome.jpg

%clean
rm -rf $RPM_BUILD_ROOT

%posttrans
rm -rf /usr/share/gfxboot/themes/current
ln -sf /usr/share/gfxboot/themes/enlightenment /usr/share/gfxboot/themes/current
%_sbindir/grub-gfxmenu --update-gfxmenu

%postun
rm -rf /usr/share/gfxboot/themes/current

#Restore PCLinuxOS Default Theme
ln -sf /usr/share/gfxboot/themes/PCLinuxOS /usr/share/gfxboot/themes/current
%_sbindir/grub-gfxmenu --update-gfxmenu

%files
%defattr(-,root,root,-)
%doc
%_datadir/gfxboot/themes/enlightenment/

%changelog
* Thu Oct 21 2010 Texstar <texstar at gmail.com> 4.1.18.18-1pclos02010
- build for enlightenment

